Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class TextHeaderAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.TextHeaderAtom

All Implemented Interfaces:
  ParentAwareRecord

    public final class TextHeaderAtom

extends RecordAtom
implements ParentAwareRecord

A TextHeaderAtom (type 3999). Holds information on what kind of text is contained in the TextBytesAtom / TextCharsAtom that follows straight after

Author:
  Nick Burch

Field Summary
`static int` | `BODY_TYPE`
`static int` | `CENTER_TITLE_TYPE`
`static int` | `CENTRE_BODY_TYPE`
`static int` | `HALF_BODY_TYPE`
`static int` | `NOTES_TYPE`
`static int` | `OTHER_TYPE`
`static int` | `QUARTER_BODY_TYPE`
`static int` | `TITLE_TYPE`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` | `TextHeaderAtom()` Create a new TextHeader Atom, for an unknown type of text
`protected` | `TextHeaderAtom(byte[] source, int start, int len)` For the TextHeader Atom

Method Summary
`RecordContainer` | `getParentRecord()`
`long` | `getRecordType()` We are of type 3999
`int` | `getTextType()`
`void` | `setParentRecord(RecordContainer record)`
`void` | `setTextType(int type)`
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE_TYPE

    public static final int TITLE_TYPE

See Also:
  Constant Field Values

### BODY_TYPE

    public static final int BODY_TYPE

See Also:
  Constant Field Values

### NOTES_TYPE

    public static final int NOTES_TYPE

See Also:
  Constant Field Values

### OTHER_TYPE

    public static final int OTHER_TYPE

See Also:
  Constant Field Values

### CENTRE_BODY_TYPE

    public static final int CENTRE_BODY_TYPE

See Also:
  Constant Field Values

### CENTER_TITLE_TYPE

    public static final int CENTER_TITLE_TYPE

See Also:
  Constant Field Values

### HALF_BODY_TYPE

    public static final int HALF_BODY_TYPE

See Also:
  Constant Field Values

### QUARTER_BODY_TYPE

    public static final int QUARTER_BODY_TYPE

See Also:
  Constant Field Values

Constructor Detail

### TextHeaderAtom

    protected TextHeaderAtom(byte[] source,
                             int start,
                             int len)

  For the TextHeader Atom

### TextHeaderAtom

    public TextHeaderAtom()

  Create a new TextHeader Atom, for an unknown type of text

Method Detail

### getTextType

    public int getTextType()

### setTextType

    public void setTextType(int type)

### getParentRecord

    public RecordContainer getParentRecord()

  Specified by:
    `getParentRecord` in interface `ParentAwareRecord`

### setParentRecord

    public void setParentRecord(RecordContainer record)

  Specified by:
    `setParentRecord` in interface `ParentAwareRecord`

### getRecordType

    public long getRecordType()

  We are of type 3999

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.